include ( ../settings.pro )

TEMPLATE = lib
CONFIG += plugin thread warn_on debug
TARGET = mythstream
DEFINES += TARGET=\"$${TARGET}\"
SUBPATH = mythtv/mythstream
DEFINES += SUBPATH=\"$${SUBPATH}\"

# lists of file extentions to use -playlist option ( .ext1.ext2.ext3 ... )
PLAYLIST = .pls
DEFINES += PLAYLIST=\"$${PLAYLIST}\"

target.path = $${PREFIX}/lib/mythtv/plugins
INSTALLS += target
LIBS += -lfftw

DEFINES += MYTHTV

installfiles.path = $${PREFIX}/share/mythtv/mythstream
installfiles.files = ../libs/streams.res ../libs/storages.res ../libs/player.xml
installparsers.path = $${PREFIX}/share/mythtv/mythstream/parsers
installparsers.files = ../parsers/*
installdefault_th.path = $${PREFIX}/share/mythtv/themes/default
installdefault_th.files = themes/default/*
installdefaultwide_th.path = $${PREFIX}/share/mythtv/themes/default-wide
installdefaultwide_th.files = themes/default-wide/*
installicon.path = $${PREFIX}/share/mythtv/themes/blue
installicon.files = images/stream.png
installmenu.path = $${PREFIX}/share/mythtv
installmenu.files = streamconfigmenu.xml

INSTALLS += installfiles installdefault_th installdefaultwide_th installicon installmenu installparsers

# Input
HEADERS += mythstream.h ../libs/storage.h ../libs/storagehandlers.h ../libs/streamstorage.h ../libs/streamconfig.h ../libs/storageconfig.h ../libs/configelements.h ../libs/itemtree.h ../libs/streambrowser.h ../libs/streamstatus.h ../libs/playerencap.h ../libs/harvester.h ../libs/fft.h ../libs/recorder.h
SOURCES += main.cpp mythstream.cpp ../libs/storage.cpp ../libs/storagehandlers.cpp ../libs/streamstorage.cpp ../libs/streamconfig.cpp ../libs/storageconfig.cpp ../libs/configelements.cpp ../libs/itemtree.cpp ../libs/streambrowser.cpp ../libs/streamstatus.cpp ../libs/x11win.cpp ../libs/playerencap.cpp ../libs/harvester.cpp ../libs/fft.cpp  ../libs/recorder.cpp 


